Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.impl.matchers
Class EverythingMatcher<T extends Key<?>>

    java.lang.Object
      org.quartz.impl.matchers.EverythingMatcher<T>

All Implemented Interfaces:
  Serializable, Matcher<T>

    public class EverythingMatcher<T extends Key<?>>

extends Object
implements Matcher<T>

Matches on the complete key being equal (both name and group).

Author:
  jhouse
See Also:
  Serialized Form

Constructor Summary
`protected` | `EverythingMatcher()`

Method Summary
`static EverythingMatcher<JobKey>` | `allJobs()` Create an EverythingMatcher that matches all jobs.
`static EverythingMatcher<TriggerKey>` | `allTriggers()` Create an EverythingMatcher that matches all triggers.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`
`boolean` | `isMatch(T key)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EverythingMatcher

    protected EverythingMatcher()

Method Detail

### allJobs

    public static EverythingMatcher<JobKey> allJobs()

  Create an EverythingMatcher that matches all jobs.

### allTriggers

    public static EverythingMatcher<TriggerKey> allTriggers()

  Create an EverythingMatcher that matches all triggers.

### isMatch

    public boolean isMatch(T key)

  Specified by:
    `isMatch` in interface `Matcher<T extends Key<?>>`

### equals

    public boolean equals(Object obj)

  Specified by:
    `equals` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `Matcher<T extends Key<?>>`
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.